package it.unitn.disi.ronchet.giocoacarte;

/**
 *
 * @author ronchet
 */
public class GiocoACarte {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new GiocoACarte();
    }
    Mazzo mazzo;
    Mano mano;
    int CARTE_IN_UNA_MANO=5;
    int NUMERO_ITERAZIONI=5;
    
    /** il costruttore contiene la logica del gioco.
     * 
     */
    public GiocoACarte(){
        mazzo=new Mazzo();
        mano=new Mano(mazzo);
        if (mano.haDuplicati()) dichiaraVittoria();
        for (int k=0;k<NUMERO_ITERAZIONI;k++) {
            System.out.print("CARTA RIMOSSA: "+mano.removeCarta());
            System.out.println("- CARTA AGGIUNTA: "+mano.addCarta(mazzo));
            System.out.println(mano);
            if (mano.haDuplicati()) dichiaraVittoria();
        }
        // se ha terminato tutti i cicli senza vincere significa che ha perso.
        dichiaraSconfitta();
    }
    // I metodi dichiaraVittoria e dichiaraSconfitta sono isolati dal resto del codice,
    // così eventualmente in futuro sarà facile modificarli per usare ad esempio
    //un'interfaccia grafica con di pop-up
    private void dichiaraVittoria() {
        System.out.println("Vinto!");
        System.exit(0);
    }
    private void dichiaraSconfitta() {
        System.out.println("Perso!");
    }
    private void showMano(){
        for (CartaDaGioco c:mano){
            System.out.print(c);
        }
        System.out.println();
    }
}
