package it.unitn.disi.ronchet.giocoacarte;

/**
 *
 * @author ronchet
 */
public class CartaDaGioco {
    
    private char seme;
    private int val ;
    
    public CartaDaGioco(char seme, int val) {
        this.seme = seme;
        this.val = val;
    }

    @Override
    public String toString() {
        return "["+val+" "+seme +"] ";
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 97 * hash + this.seme;
        hash = 97 * hash + this.val;
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        final CartaDaGioco other = (CartaDaGioco) obj;
        if (this.seme != other.seme)
            return false;
        if (this.val != other.val)
            return false;
        return true;
    }
}
