package it.unitn.disi.ronchet.giocoacarte;

import java.util.HashSet;
import java.util.LinkedList;

/** Un mazzo base è una collezione di carte diverse tra loro
 *
 * @author ronchet
 */
public class MazzoBase extends HashSet<CartaDaGioco> {
    final int NCARDS=5;
    public MazzoBase() {
        createCards('Q');
        createCards('C');
    }
    private void createCards(char seme){
        for (int k=1; k<=NCARDS; k++) {
            add(new CartaDaGioco(seme,k));
        }
    }   
}
